/*
  BeNoPPP
  PIC Device list
  (c) 2003 - Sylvain Tertois
  Based on NoPPP for Linux 0.3 by Michael A. Covington, Claus Fuetterer and Geoff McCaughan
*/

#include "PicList.h"
// this array holds information about all the PIC models handled by BeNoPPP
// Name, prog mem size, data mem size, config mask, ID mask, default config word
PicDefines c_PicList[]={
	{ "PIC16C73",4096,0,0x3FFF,0x007F,0x3F7F },
	{ "PIC16C74",4096,0,0x3FFF,0x007F,0x3F7F },
	{ "PIC16C84",1024,64,0x001F,0x3FFF,0x001B },
	{ "PIC16F83",512,64,0x3FF3,0x3FFF,0x3FF3 },
	{ "PIC16F84",1024,64,0x3FF7,0x3FFF,0x3FF3 },
	{ "PIC16F872",2048,64,0x3FFF,0x3FFF,0x3F31 },
	{ "PIC16F873",4096,128,0x3FFF,0x3FFF,0x3F31 },
	{ "PIC16F874",4096,128,0x3FFF,0x3FFF,0x3F31 },
	{ "PIC16F876",8192,256,0x3FFF,0x3FFF,0x3F31 },
	{ "PIC16F877",8192,256,0x3FFF,0x3FFF,0x3F31 },
	{0} };	// the array must end with a zero
	
