/*
  BeNoPPP
  Driver defines
  (c) 2003 - Sylvain Tertois
*/

#ifndef DRIVER_H
#define DRIVER_H

#include "ControlCodes.h"

// driver 'cookie'
typedef struct _driverinfo {
	int portNumber;
	char IOBytes[8];
	UsePin usepins[NUMFUNCTIONS];
} DriverInfo;

// information about the pins
typedef struct _pininfo {
	unsigned int address:3;		// address (added to i/o base)
	unsigned int bitnum:3;		// bit number
	unsigned int inverted:1;		// inverted flag
} PinInfo;
extern PinInfo g_PinInfo[NUMPINS];

// utility functions
extern void FunctionWrite(DriverInfo *cookie, Function function, int bit);
extern int FunctionRead(DriverInfo *cookie, Function function);
extern void CopyPinsTable(DriverInfo *cookie, const UsePin *tabletocopy);

#endif // DRIVER_H
