/*
  BeNoPPP
  PIC Device list
  (c) 2003 - Sylvain Tertois
  Based on NoPPP for Linux 0.3 by Michael A. Covington, Claus Fuetterer and Geoff McCaughan
*/

#ifndef PICLIST_H
#define PICLIST_H

// this type holds the parameters specific to a particular PIC model
typedef struct _picdefs {
	const char *name;			// PIC name
	unsigned int psize;			// Program memory size
	unsigned int dsize;			// Data memory size
	unsigned int cmask;			// Config Mask
	unsigned int imask;			// ID Mask
	unsigned int defaultConfig;	// initialization for config word
} PicDefines;

// this array holds information about all the PIC models handled by BeNoPPP
extern PicDefines c_PicList[];

#endif //PICLIST_H
