/*
  BeNoPPP
  PrefsView
  (c) 2003 - Sylvain Tertois
*/

#ifndef PREFSVIEW_H
#define PREFSVIEW_H

#include <View.h>

class MainWindow;
class BCheckBox;

// preferences view: where the user can change a few things
class PrefsView : public BView
{
public:
	PrefsView(BRect r, MainWindow *win);
	~PrefsView();
	
	// hook functions
	virtual void AttachedToWindow();
	virtual void MessageReceived(BMessage *);
	
private:
	// pointer to window
	MainWindow *m_MainWindow;
	
	// pointers to controls
	BCheckBox *m_DetectProg;
	
	// false when the object is constructed, true once the child views have been added
	bool m_Created;
	
public:
	// view messages
	typedef enum _messages {
		PV_DETECTCHANGED='DtCh'		// the user changed the state of the 'detect hardware' checkbox
		} Messages;
};

#endif //PREFSVIEW_H
